import React, { FC } from 'react';
import Container from '@material-ui/core/Container';
import { Route, useRouteMatch } from 'react-router-dom';
import { AuthRoutes } from 'api/routes';
import { HomePage } from 'components/AuthUser/Dashboard/HomePage/HomePage';
import { ProfilePage } from 'components/AuthUser/Dashboard/ProfilePage/ProfilePage';

export const Dashboard: FC = () => {
  const { path } = useRouteMatch();
  return (
    <>
      <Route exact path={`${path}${AuthRoutes.home}`} component={HomePage} />
      <Route path={`${path}${AuthRoutes.profile}`} component={ProfilePage} />
    </>
  );
};
